Skip to main content

Update Note

Update Note
POST

Update a note by id.

Request

POST /v1/note/{id}

Path Parameters

ParameterTypeRequiredDescription
idintegerYesNote id.

Body Parameters

ParameterTypeRequiredDescription
notestringYesUpdated note text.
related_tostringNoCandidate, contact, organization, job, or deal slug.
related_to_typeintegerNoEntity type. Allowed values: 1 candidate, 2 job, 3 organization, 4 contact, 5 deal.
note_type_idintegerNoNote type id.
updated_byintegerNoUser id to use as the updater.

Request Example

{
"note": "Candidate confirmed availability for Tuesday.",
"related_to": "candidate_0d25558c1a77fc2d7d98",
"related_to_type": 1,
"note_type_id": 2
}

Response

200
{
"id": 84,
"note_type": {
"id": 2,
"label": "General"
},
"note": "Candidate confirmed availability for Tuesday.",
"related_to": "candidate_0d25558c1a77fc2d7d98",
"related_record": {
"slug": "candidate_0d25558c1a77fc2d7d98"
},
"related_to_type": 1,
"created_by": {
"id": 1
},
"updated_by": {
"id": 1
},
"created_at": "2026-07-24T10:15:00.000Z",
"updated_at": "2026-07-24T10:30:00.000Z"
}
404
{
"message": "Note not found"
}